#!/usr/bin/env python

__author__ = "Artur Duque de Souza"
__author_email__ = "artur.souza@indt.org.br"
__license__ = "GPL"
__version__ = "0.3"
__thanks__ = "Gustavo Sverzut Barbieri"

import sys
import os
import mimetypes
import logging as log
from lib.server import serve_forever, load_plugins_transcoders

mimetypes.init()
log_level = log.INFO
for p in sys.argv[1:]:
    if p == "-v" or p == "--verbose":
        log_level -= 10

log.basicConfig(level=log_level,
                format=("### %(asctime)s %(name)-18s \t%(levelname)-8s "
                        "\t%(message)s"),
                datefmt="%Y-%m-%d %H:%M:%S")

if not os.path.exists(".transcoded"):
    os.mkdir(".transcoded")

pd = os.path.join("plugins", "transcoders")
load_plugins_transcoders(pd)
serve_forever()
